Subject: Re: Fwd: Re: still no accelerated X ($#!$*)

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 20 Jan 2000 19:45:07 +0100

On Thu, Jan 20, 2000, David Edelsohn <[email-masked]> wrote:

>	The "b" constraint should be associated with "base_addr", not with
>"regindex":
>
>	asm("stwbrx %0,%1,%2": : "r"(regdata), "r"(regindex), "b"(base_addr));

Hum... I still have to check what gcc/ppc specific constraints are. But
in this specific case, it's the index who should not be assigned to r0.
Both base and regdata can be r0. So either I'm mising something, or the
"b" constraint is actually wrong semanticall, or we need yet-another
constraint for the index.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/